services:
  api:
    environment:
      YEETFILE_DOMAIN: "${YEETFILE_HOSTNAME}.$DOMAINNAME1"
    labels:
      - "traefik.enable=true"
      ## HTTP Routers
      - "traefik.http.routers.${YEETFILE_HOSTNAME}-rtr.entrypoints=https"
      - "traefik.http.routers.${YEETFILE_HOSTNAME}-rtr.rule=Host(`${YEETFILE_HOSTNAME}.$DOMAINNAME1`)"
      ## Middlewares
#             - "traefik.http.routers.${YEETFILE_HOSTNAME}-rtr.middlewares=chain-authentik@file"
      - "traefik.http.routers.${YEETFILE_HOSTNAME}-rtr.middlewares=chain-no-auth@file"
      ## HTTP Services
      - "traefik.http.routers.${YEETFILE_HOSTNAME}-rtr.service=${YEETFILE_HOSTNAME}-svc"
      - "traefik.http.services.${YEETFILE_HOSTNAME}-svc.loadbalancer.server.port=8090"
